ProgramFile
! cRobot 'DB500'
! Example program to demonstrate 
! the functions GOTO, WHILE and IF THEN ELSE
!
! Below section is called once at t=0
! Add Initialization commands here
! 
EndInit
! 
! Below section is called at t>0
! Add new ERPL / ERCL commands here
! 
ERC CURRENT_DEVICE CLEAR
ERC CURRENT_DEVICE SET DB500
! Set Default SPEEDs and ACCELs
SPEED_PTP_AX    20.0000    20.0000    20.0000    20.0000    20.0000    20.0000
ACCEL_PTP_AX    40.0000    40.0000    40.0000    40.0000    40.0000    40.0000
SPEED_CP         0.1000 0.0
ACCEL_CP         0.2000
SPEED_ORI       20.0000 0.0
ACCEL_ORI       40.0000
OV_PRO         100.0000
ERC NO_DECEL OFF
ZONE             0.0000
! ---------

ERC CURRENT_DEVICE UNSET
Home 1

ERC CURRENT_DEVICE SET DB500#4
! Set Default SPEEDs and ACCELs
SPEED_PTP_AX    20.0000    20.0000    20.0000    20.0000    20.0000    20.0000
ACCEL_PTP_AX    40.0000    40.0000    40.0000    40.0000    40.0000    40.0000
SPEED_CP         0.1000 0.0
ACCEL_CP         0.2000
SPEED_ORI       20.0000 0.0
ACCEL_ORI       40.0000
OV_PRO         100.0000
ERC NO_DECEL OFF
ZONE             0.0000
! ---------

ERC CURRENT_DEVICE UNSET
Home 1

ERC CURRENT_DEVICE SET CONVEYOR_BIG#3
! Set Default SPEEDs and ACCELs
SPEED_PTP_AX   20.00
ACCEL_PTP_AX     400.0000
SPEED_CP         0.100 0.0
ACCEL_CP         4.000
SPEED_ORI       20.0000 0.0
ACCEL_ORI       40.0000
OV_PRO         100.0000
ERC NO_DECEL OFF
ZONE             0.0000
! ---------
Home 1
ERC CURRENT_DEVICE UNSET

!
ERC CURRENT_DEVICE SET CONVEYOR_BIG
! Set Default SPEEDs and ACCELs
SPEED_PTP_AX   20.00
ACCEL_PTP_AX     400.0000
SPEED_CP         0.100 0.0
ACCEL_CP         4.000
SPEED_ORI       20.0000 0.0
ACCEL_ORI       40.0000
OV_PRO         100.0000
ERC NO_DECEL OFF
ZONE             0.0000
! ---------
Home 1

ERC PRG_WIN ON

ERC GRAB BODY CYL

conv_pos=0
take_cyl_pos=4

dx=0.2
WHILE lt(conv_pos,take_cyl_pos)
! LIN_REL requires a PTP_AX_REL to initialize
PTP_AX_REL      0.0000     0.0000     0.0000     0.0000     0.0000     0.0000
LIN_REL      dx     0.0000     0.0000     0.0000     0.0000     0.0000
conv_pos=conv_pos+dx
ENDWHILE
ERC RELEASE BODY CYL
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET DB500
MOVE T_7
LIN T_6
ERC GRAB BODY CYL
LIN T_7
MOVE T_UNLOAD_02
LIN T_UNLOAD_01
ERC RELEASE BODY CYL
MOVE T_UNLOAD_02
Home 1
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET CONVEYOR_BIG#3
ERC GRAB BODY CYL
conv_pos=0
take_cyl_pos=4

dx=0.2
WHILE lt(conv_pos,take_cyl_pos)
! LIN_REL requires a PTP_AX_REL to initialize
PTP_AX_REL      0.0000     0.0000     0.0000     0.0000     0.0000     0.0000
LIN_REL      dx     0.0000     0.0000     0.0000     0.0000     0.0000
conv_pos=conv_pos+dx
ENDWHILE
ERC RELEASE BODY CYL
ERC CURRENT_DEVICE UNSET

ERC CURRENT_DEVICE SET DB500#4
MOVE T_7
LIN T_6
ERC GRAB BODY CYL
LIN T_7
MOVE T_UNLOAD_03
LIN T_UNLOAD_04
ERC RELEASE BODY CYL
MOVE T_UNLOAD_03
Home 1
ERC CURRENT_DEVICE UNSET

EndProgramFile

! END PRGFILE  999860608
