ProgramFile
! cRobot 'DB500'
! Example program to demonstrate the functions 
! KUD 
!
! Below section is called once at t=0
! Add Initialization commands here
! 
EndInit
! 
! Below section is called at t>0
! Add new ERPL / ERCL commands here
! 
ERC CURRENT_DEVICE SET DB500
! Set Default SPEEDs and ACCELs
SPEED_PTP_AX    20.0000    20.0000    20.0000    20.0000    20.0000    20.0000
ACCEL_PTP_AX    40.0000    40.0000    40.0000    40.0000    40.0000    40.0000
SPEED_CP         0.1000 0.0
ACCEL_CP         0.2000
SPEED_ORI       20.0000 0.0
ACCEL_ORI       40.0000
OV_PRO         100.0000
ERC NO_DECEL OFF
ZONE             0.0000
! ---------

Home 1

ERC PRG_WIN ON
MOVE T_1
MSG 
MSG 
MSG *******************************************************
MSG 
MSG     check "Kinematic User Data" in the Kinematics
MSG     Window of the robot
MSG 
MSG     and then continue the simulation
MSG 
ERC STOP
HOME 1

ERC KUD 1 1 888
ERC KUD 1 2 777

ERC KUD KUD_1_3 555
ERC KUD my_name 444

MOVE T_1
MSG 
MSG 
MSG *******************************************************
MSG 
MSG     check "Kinematic User Data" in the Kinematics
MSG     Window of the robot
MSG 
MSG     and then continue the simulation
MSG 
ERC STOP
HOME 1

ERC KUD 1 1 0
ERC KUD 1 2 0

ERC KUD KUD_1_3 0
ERC KUD my_name 0

call my_fct_name()
EndProgramFile

fct my_fct_name()
endfct

! END PRGFILE  3546691292
