ProgramFile
! cRobot 'ER431'
! Below section is called once at t=0
! Add Initialization commands here
! 
EndInit
! 
! Below section is called at t>0
! Add new ERPL / ERCL commands here
! 
SPEED_PTP_OV   80.0000
SPEED_CP_OV    80.0000
SPEED_ORI_OV   80.0000
ACCEL_PTP_OV   100.0000
ACCEL_CP_OV    100.0000
ACCEL_ORI_OV   100.0000
OV_PRO         10.0000
ERC NO_DECEL OFF
ZONE             0.0000
! 
IF 1
ERC TRACK OFF
ERC TRACK ON
ERC TRACK_TYPE Y_DIRECTION 0.025
ERC USE_TAG_ATTRIBUTES ON
Home HOME_1
ERC COLOR TRACK  RED
PTP T_2
ERC COLOR TRACK  GREEN
PTP T_3
ERC COLOR TRACK  GREEN
PTP T_4
ERC COLOR TRACK  BLUE
PTP T_1
ERC COLOR TRACK  YELLOW
Home HOME_1
ENDIF
! 
call MyMoveFct()
EndProgramFile

Fct MyMoveFct()
ERC TRACK OFF
ERC TURN_INTERVAL 90 0 0 90 0 90

ERC USE_TAG_ATTRIBUTES ON
PTP_CALC_MODE TURN
! use turns defined in tag attributes when enabled
! axis 4 will be exceeded
PTP T_3

ERC USE_TAG_ATTRIBUTES OFF
PTP_CALC_MODE SHORTEST_ANGLE
! Note: Shortest Angle considers also Travel Ranges
! axis 4 moves into travel range
PTP T_3

ERC USE_TAG_ATTRIBUTES ON
PTP_CALC_MODE TURN
! use turns defined in tag attributes when enabled
! axis 4 will be exceeded
! axis 6 is >600, because its Turn is 6
PTP T_4

ERC USE_TAG_ATTRIBUTES OFF
PTP_CALC_MODE SHORTEST_ANGLE
! Note: Shortest Angle considers also Travel Ranges
! axis 4 moves in travel range
! axis 6 still  ~600, because of shortest angle
PTP T_4

PTP_CALC_MODE MATH
! axis 6 will be exceeded, value within [-180,180]
PTP T_4

PTP_CALC_MODE IN_TRAVEL_RANGE
! axis 4 will be in travel range
! axis 6 moves into travel range
PTP T_4

!------------------------------------
ERC USE_TAG_ATTRIBUTES OFF
PTP_CALC_MODE TURN

TURN 0 @ @ -2 0 1
PTP T_2
TURN  -1  @  @  -3  0  2
PTP T_3
TURN 0 @ @ -4 0 -4
PTP T_1
TURN 0 @ @ -2 0 2
! This turn is not valid for axis 6
! -> Error cannot calculate Target Jnts
PTP T_2
TURN  -1  @  @  -3  0  2
PTP T_3
TURN  0  @  @  0  @  0
PTP T_1
TURN 0 @ @ -2 0 1
PTP T_2
TURN  -1  @  @  -1  @  -1
! Axis 1,4 and 6 are at 0
! The exact Turns are 0
! Turn -1 are also valid in case of small imprecisions
PTP T_1
! 
ERC USE_TAG_ATTRIBUTES OFF
PTP_CALC_MODE SHORTEST_ANGLE
EndFct


! END PRGFILE  255804160
