ProgramFile
! cRobot 'ER431-2'
! Below section is called once at t=0
! Add Initialization commands here
! 
EndInit
! 
! Below section is called at t>0
! Add new ERPL / ERCL commands here
! 
SPEED_PTP_OV   80.0000
SPEED_CP_OV    80.0000
SPEED_ORI_OV   80.0000
ACCEL_PTP_OV   100.0000
ACCEL_CP_OV    100.0000
ACCEL_ORI_OV   100.0000
OV_PRO         100.0000
ERC NO_DECEL OFF
ZONE             0.0000
! 
ERC SIM_STEP     0.0100
ERC MSG_WIN ON
ERC CELL_INFO_SHOW ON
! 
SPEED_PTP_AX    10.0000    20.0000   30.0000   144.0000   144.0000   144.0000
ACCEL_PTP_AX    10.0000    20.0000   360.0000   360.0000   360.0000   360.0000

Home HOME_1

PTP T_1
ERC TRACK ON
ERC COLOR TRACK  RED
!Syntax: ERC STATUS_OUTPUT #1 #2 #3 #4
!      #1 = ON/OFF
!      #2 = [1-at sim_step,2-at target pose,3-at ipo_step]
!      #3 = [flnname]
!      #4 = [fct#: -6='AX_ACC',-5='AX_VEL',-4='AX',-3='Jump_to',-2='Jump_to_Ax',-1='Matlab',0='default',1-12='User Fct API-DYN']
ERC STATUS_OUTPUT ON  1 ER431_2_PTP.dat -5
PTP T_2
PTP T_3
ERC STATUS_OUTPUT OFF
ERC COLOR TRACK  INVISIBLE
! 
Home HOME_1 ! 1
PTP T_1
ERC COLOR TRACK  GREEN
!Syntax: ERC STATUS_OUTPUT #1 #2 #3 #4
!      #1 = ON/OFF
!      #2 = [1-at sim_step,2-at target pose,3-at ipo_step]
!      #3 = [flnname]
!      #4 = [fct#: -6='AX_ACC',-5='AX_VEL',-4='AX',-3='Jump_to',-2='Jump_to_Ax',-1='Matlab',0='default',1-12='User Fct API-DYN']ERC STATUS_OUTPUT ON  2 ER431-2_PTP.dat -5
ERC STATUS_OUTPUT ON  1 ER431_2_SLEW.dat -5
SLEW T_2
SLEW T_3
ERC STATUS_OUTPUT OFF
ERC COLOR TRACK  INVISIBLE
! 
Home HOME_1
! 
EndProgramFile


! END PRGFILE  4044137172
