ProgramFile
! cRobot 'DB500'
!
! Example program to demonstrate the functions 
! to set and reset joint positions
!
! Below section is called once at t=0
! Add Initialization commands here
! 
EndInit
! 
! Below section is called at t>0
! Add new ERPL / ERCL commands here
! 
ERC CURRENT_DEVICE SET DB500
! Set Default SPEEDs and ACCELs
SPEED_PTP_AX    20.0000    20.0000    20.0000    20.0000    20.0000    20.0000
ACCEL_PTP_AX    40.0000    40.0000    40.0000    40.0000    40.0000    40.0000
SPEED_CP         0.1000 0.0
ACCEL_CP         0.2000
SPEED_ORI       20.0000 0.0
ACCEL_ORI       40.0000
OV_PRO         100.0000
ERC NO_DECEL OFF
ZONE             0.0000
! ---------

Home 1

ERC SAVE JOINTPOSITION
MOVE T_1
MOVE T_2
MOVE T_3
ERC RESET JOINTPOSITION

MOVE T_1
MOVE T_2
MOVE T_3
ERC SAVE JOINTPOSITION
MOVE T_4
MOVE T_5
ERC RESET JOINTPOSITION

call my_fct_name()
EndProgramFile

fct my_fct_name()
endfct

! END PRGFILE  2663039756
