ProgramFile
! cRobot 'DB500'
! Example program to demonstrate the functions
! MOVE
!
! Below section is called once at t=0
! Add Initialization commands here
! 
EndInit
! 
! Below section is called at t>0
! Add new ERPL / ERCL commands here
! 
ERC CURRENT_DEVICE SET DB500
! Set Default SPEEDs and ACCELs
SPEED_PTP_AX    20.0000    20.0000    20.0000    20.0000    20.0000    20.0000
ACCEL_PTP_AX    40.0000    40.0000    40.0000    40.0000    40.0000    40.0000
SPEED_CP         0.1000 0.0
ACCEL_CP         0.2000
SPEED_ORI       20.0000 0.0
ACCEL_ORI       40.0000
OV_PRO         100.0000
ERC NO_DECEL OFF
ZONE             0.0000
! ---------

Home 1
ERC LOAD TOOL DB500.tol

ERC MOVE BODY cyl 1 2 0 0 0 0
ERC MOVE BODY cyl  PATH02.T_1

ERC MOVE TOOL tool 0 2 0 0 0 0
ERC MOVE TOOL tool  PATH02.T_2

ERC MOVE ROBOT DB500_3 0 3 0 0 0 0
ERC MOVE ROBOT DB500_3  PATH02.T_2

ERC MOVE_REL BODY cyl 1 1 1 0 0 0

ERC MOVE_REL TOOL tool 0 0 -4 0 0 0

ERC MOVE_REL ROBOT DB500_2 1 0 2 0 0 0

ERC MOVE_REL BODY_GRP cyl 0 2 0 0 0 0

ERC LOAD TOOL tool_4.tol
ERC MOVE_REL TOOL_GRP tool 0 2 0 0 0 0

ERC MOVE_REL ROBOT_GRP DB500_0 0 -2 0 0 0 0

call my_fct_name()
EndProgramFile

fct my_fct_name()
endfct

! END PRGFILE  2407045480
