ProgramFile
! cRobot 'DB500'
!
! Example program to demonstrate the function
! render
!
! Below section is called once at t=0
! Add Initialization commands here
! 
EndInit
! 
! Below section is called at t>0
! Add new ERPL / ERCL commands here
! 
ERC CURRENT_DEVICE SET DB500
! Set Default SPEEDs and ACCELs
SPEED_PTP_AX    20.0000    20.0000    20.0000    20.0000    20.0000    20.0000
ACCEL_PTP_AX    40.0000    40.0000    40.0000    40.0000    40.0000    40.0000
SPEED_CP         0.1000 0.0
ACCEL_CP         0.2000
SPEED_ORI       20.0000 0.0
ACCEL_ORI       40.0000
OV_PRO         100.0000
ERC NO_DECEL OFF
ZONE             0.0000
! ---------

Home 1
ERC RENDER BBOX OFF
ERC PRG_WIN ON

ERC RENDER SMOOTH
MOVE T_1
Home 1

ERC RENDER WIRE
MOVE T_2
Home 1

ERC RENDER POINT
MOVE T_3
Home 1

ERC RENDER SMOOTH
ERC RENDER BBOX ON
MOVE T_4
Home 1

ERC RENDER BBOX OFF
ERC RENDER SMOOTH
MOVE T_5
Home 1

ERC RENDER BODY CYL WIRE
MOVE T_1
Home 1
ERC RENDER BODY CYL SMOOTH

ERC RENDER ROBOT DB500_1 INVISIBLE
MOVE T_2
Home 1
ERC RENDER ROBOT DB500_1 SMOOTH

ERC RENDER ROBOT DB500_3 WIRE
MOVE T_2
Home 1
ERC RENDER ROBOT DB500_3 SMOOTH

ERC RENDER ROBOT_GRP INVISIBLE
MOVE T_3
Home 1
ERC RENDER ROBOT_GRP SMOOTH

call my_fct_name()
EndProgramFile

fct my_fct_name()
endfct

! END PRGFILE  3841115812
